# struct HeartbeatMsg

*Defined at src/hosts/mgmt_msg.h#16*

Inherits from MgmtMsg



## Members

public NodeId subscriber_id

public NodeStatus status

public Time generated_at



## Functions

### HeartbeatMsg

*public void HeartbeatMsg(NodeId sid, NodeStatus st, Time t)*

*Defined at src/hosts/mgmt_msg.h#21*

### kind

*public MgmtKind kind()*

*Defined at src/hosts/mgmt_msg.h#24*



